Page MenuHomePhabricator

Allow mobile-specific gadgets
Closed, ResolvedPublic

Description

Since ResourceLoader only supports desktop-specific modules, it's only possible to have desktop-specific gadgets (by not specifying targets=mobile). Since targets is planned for removal (T127268), it's not worthwhile changing ResouceLoader to allow mobile-specific modules, instead (per the recommendation on T127147#2073423) the mobile-specific skin (minerva) should be used to limit gadgets to mobile. Unfortunately, gadgets' skins option looks for the user's skin preference, rather than what skin is actually displayed, and so it doesn't work.

Event Timeline

Majr created this task.Jul 20 2016, 6:19 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 20 2016, 6:19 AM

Change 299950 had a related patch set uploaded (by Majr):
Fix skins option to use currently displayed skin, rather than user preference

https://gerrit.wikimedia.org/r/299950

Majr updated the task description. (Show Details)Jul 20 2016, 6:51 AM
brion added a subscriber: brion.Aug 17 2016, 7:00 PM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 25 2017, 5:45 PM
Majr closed this task as Resolved.Aug 6 2018, 1:17 AM
Majr removed a project: Patch-For-Review.

Gerritbot should've marked this as resolved when rEGADb340532c526a was merged.